gstreamermm: Gst::VideoSink Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gst::VideoSink Class Reference
gstreamermm Base Classes

A base class for video sinks. More...

Inheritance diagram for Gst::VideoSink:
[legend]
Collaboration diagram for Gst::VideoSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~VideoSink ()
GstVideoSink* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoSink* | gobj () const
| Provides access to the underlying C GObject.
GstVideoSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_height () const
| Get height of Gst::VideoSink.
int | get_width () const
| Get width of Gst::VideoSink.
Glib::PropertyProxy< bool > | property_show_preroll_frame ()
| Whether to render video frames during preroll.
Glib::PropertyProxy_ReadOnly < bool > | property_show_preroll_frame () const
| Whether to render video frames during preroll.
## Static Public Member Functions
static void | center_rect (const Gst::VideoRectangle& src, const Gst::VideoRectangle& dst, Gst::VideoRectangle& result, bool scaling=false)
| Takes src rectangle and position it at the center of dst rectangle with or without scaling.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VideoSink > | wrap (GstVideoSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A base class for video sinks.

Gst::VideoSink provides useful functions and a base class for video sinks.

Gst::VideoSink will configure the default base sink to drop frames that arrive later than 20ms as this is considered the default threshold for observing out-of-sync frames.

## Constructor & Destructor Documentation

virtual Gst::VideoSink::~VideoSink | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::VideoSink::center_rect | ( | const Gst::VideoRectangle& | src,
|  | const Gst::VideoRectangle& | dst,
|  | Gst::VideoRectangle& | result,
|  | bool | scaling = `false`
| ) |  | `[static]`

Takes src rectangle and position it at the center of dst rectangle with or without scaling.

It handles clipping if the src rectangle is bigger than the dst one and scaling is set to `false`.

Parameters:

  src | The Gst::VideoRectangle describing the source area.
  dst | The Gst::VideoRectangle describing the destination area.
  result | A pointer to a Gst::VideoRectangle which will receive the result area.
  scaling | A `bool` indicating if scaling should be applied or not.

int Gst::VideoSink::get_height | ( |  | ) | const

Get height of Gst::VideoSink.

int Gst::VideoSink::get_width | ( |  | ) | const

Get width of Gst::VideoSink.

const GstVideoSink* Gst::VideoSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

GstVideoSink* Gst::VideoSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

GstVideoSink* Gst::VideoSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

Glib::PropertyProxy< bool > Gst::VideoSink::property_show_preroll_frame | ( |  | ) |

Whether to render video frames during preroll.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoSink::property_show_preroll_frame | ( |  | ) | const

Whether to render video frames during preroll.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VideoSink > wrap | ( | GstVideoSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/videosink.h